package com.nantian.cloud.jljc.service.impl;

import com.nantian.cloud.jljc.entity.TReportEnergyOut;
import com.nantian.cloud.jljc.mapper.TReportEnergyOutMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TReportEnergyOutService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报表1-2-1能源产出表 服务实现类
 * @since 2020-11-03
 */
@Service("tReportEnergyOutService")
public class TReportEnergyOutServiceImpl extends ServiceImpl<TReportEnergyOutMapper, TReportEnergyOut> implements TReportEnergyOutService {

    @Override
    public TReportEnergyOut getOutByReportIdAndName(long reportId, String name) {
        return baseMapper.getOutByReportIdAndName(reportId,name);
    }

    @Override
    public List<TReportEnergyOut> getAllOutByReportId(Long reportId) {
        return baseMapper.getAllOutByReportId(reportId);
    }

    @Override
    public List<TReportEnergyOut> comparison(String enterpriseCode,String year) {
        return baseMapper.comparison(enterpriseCode,year);
    }

}
